/{organizationId}/{mandateId}/booking/resources/offers/{offerId}/ratesCreate offer rate
Creates a new rate for a specific offer for a given mandate
Required permissions:
mandate.read
resourceOffer.edit
Path Parameters
organizationIdstringrequired mandateIdstringrequired offerIdstringrequired Request Body required
Content-Type: application/json
namestringrequired minLength: 1
maxLength: 50
descriptionstringoptional Default: ""
maxLength: 140
Default: null
Default: null
standardbooleanoptional Default: []
Authentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/booking/resources/offers/{offerId}/rates' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"name": "string",
"charge": {
"type": "price",
"price": {
"isNet": true,
"price": 0,
"taxCode": "string",
"account": 1,
"costCenter1": 1,
"costCenter2": 1
},
"punchCard": {
"punchCardId": "000000000000000000000001",
"points": 1
}
}
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
rateIdstringrequired minLength: 8
maxLength: 8
Response
{
"rateId": "string"
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}